package main

import "fmt"

func makeAdder(x int) func(int) int {
	return func(y int) int {
		return x + y
	}
}

func main() {
	add5 := makeAdder(5)
	add10 := makeAdder(10)
	fmt.Printf("%d %d\n", add5(2), add10(2)) // 7 12
}
