package main

import "fmt"
import "golang.org/x/exp/constraints"

func Max[T constraints.Ordered](a T, b T) T {
	if a > b {
		return a
	}
	return b
}

func main() {
	fmt.Println(Max("Hello", "world"))
	fmt.Println(Max(9, 4))
	fmt.Println(Max(4.5, 5.4))
	// fmt.Println(Max(8 + 1i, 7 + 2i))
}
