package main

import "fmt"

func PrintSlice[T any](s []T) {
	for _, v := range s {
		fmt.Printf("%v ", v)
		//fmt.Printf("площадь = %.2f\n", многоугольник.square())
	}
	fmt.Println()
}

func main() {
	срез_str := []string{"Hello", "world"}
	PrintSlice[string](срез_str)
	срез_int8 := []int8{9, 8, 7, 6, 5, 4}
	PrintSlice[int8](срез_int8)
	срез_float32 := []float32{9.0, 8.1, 7.2, 6.3, 5.4, 4.5}
	PrintSlice[float32](срез_float32)
	срез_complex128 := []complex128{9 + 0i, 8 + 1i, 7 + 2i, 6 + 3i}
	PrintSlice[complex128](срез_complex128)
}
