package main

import (
    "os"
    "strconv"
    "fmt"
    "time"
    "context"
)

var t, d = 2, 3; // тайм-аут и длительность - сек.

func main() {
    if len(os.Args) > 1 { t, _ = strconv.Atoi(os.Args[1])}
    if len(os.Args) > 2 { d, _ = strconv.Atoi(os.Args[2]) }
    ctx, cancel := context.WithTimeout(context.Background(),
                        time.Duration(t) *  time.Second)
    defer cancel()
    action(ctx)
    fmt.Printf("код завершения: %v\n", ctx.Err())
    if err := ctx.Err(); err == nil {
        fmt.Println("нормальное завершение")
    } else {
        fmt.Printf("завершение по тайм-ауту\n")
    }
}

func action(ctx context.Context) {
	t0 := time.Now()
    defer func() {
        fmt.Printf("завершено ... %v\n", time.Now().Sub(t0))
    }()
	for {
		select {
		case <-ctx.Done():
			return
		default:
			time.Sleep(1 * time.Second) // "работа"
			fmt.Printf("выполнено ... %v\n", time.Now().Sub(t0))
            if d--; 0 == d { return }
		}
    }
}
