package main

import (
    "github.com/eiannone/keyboard"
    "fmt"
)

func main() {
    keyboard.Open()
    defer keyboard.Close()
    chChan := make(chan rune)        // канал ввода с клавиатуры
    go func(chChan chan <- rune) {   // горутина ввода клавиши
        for {
            ch, _, _ := keyboard.GetKey()
            chChan <- ch
        }
    }(chChan)

    for {
        ch := <- chChan              // вводимые символы
        if ch == 0 { break }
        fmt.Printf("<%s>%03x ", string(ch), ch)
    }
    println()
}
