package main

import (
	"fmt"
	"time"
)

func main() {
	sum := 1
	for sum < 1000 {                                 // 1
		sum += sum
   	print(sum, " ")
	}
	println()	
	const limit = 100
	var sum1 uint64 = 0
	for i := uint64(0); i < 100; i++ { sum1++ }      // 2
	println("сумма =", sum1)
	sum1 = 0
	var sum2 rune = 0
	for i := 'a'; i < 'z'; i++ { sum2 += i}          // 3
	println("сумма =", sum2)
	for i := 'я'; i >= 'а'; i-- { sum2 += rune(i)}   //4
	println("сумма =", sum2)
	for i := 'я'; i >= 'а'; i-- { print(string(i)) } //5
	println()
	s := "строка"
	for i := 0; i < len(s); i++ {                    //6
		fmt.Printf("%q | ", s[i]) 
	}
	println()	
	for i, c := range s {                            //7
		fmt.Printf("%d: %q | ", i, c) 
	}
	println()	
	ch := make(chan int)
	go func() {
   	time.Sleep(300 * time.Millisecond)
    	ch <- 1
    	time.Sleep(200 * time.Millisecond)
    	ch <- 2
    	time.Sleep(100 * time.Millisecond)
    	close(ch)
	}()
	fmt.Printf("before:\t\t%s\n", time.Now())
	for v := range ch {                              //8  
   	fmt.Printf("tick #%d:\t%s\n", v, time.Now())
	}
	fmt.Printf("after:\t\t%s\n", time.Now())
	ch = make(chan int)
	close(ch)
	for range ch {                                   //9
   	fmt.Println("tick")
	}
	fmt.Println("done!")	
}
