package углы

import "math"

var a2r func(dg float64) float64

func Cos(dg float64) float64 {
	return math.Cos(a2r(dg))
}

func Sin(dg float64) float64 {
	return math.Sin(a2r(dg))
}

func init() {
	a2r = func(dg float64) float64 {
		return dg / 180 * math.Pi
	}
}
