package main

import "net"
import "fmt"
import "bufio"

func main() {
	ln, _ := net.Listen("tcp", ":51500") // Устанавливаем прослушивание порта
	for {
		fmt.Println("waiting on port 51500")
		conn, _ := ln.Accept() // Открываем серверный порт
		for {                  // Запускаем цикл прослушивания
			// Будем прослушивать все сообщения разделенные \n
			message, err := bufio.NewReader(conn).ReadString('\n')
			if err != nil { // Клиент разорвал коннект
				conn.Close()
				break
			}
			conn.Write([]byte(message)) // Отправить обратно клиенту
		}
	}
}
