package main
import (
        "fmt"
        "bufio"
        "log"
        "os"
        "strings"
        "regexp"
)

var nonAlphaNum = regexp.MustCompile(`[^a-zа-я0-9 ]+`)

func test(scanner *bufio.Scanner) {
    for scanner.Scan() {
	ustr := scanner.Text() // введенная строка
	s1 := strings.ReplaceAll(strings.ToLower(ustr), " ", "")
	s1 = strings.ReplaceAll(s1, "ё", "е")
	s1 = strings.ReplaceAll(s1, "й", "и")	
	rstr := []rune(nonAlphaNum.ReplaceAllString(s1, ""))
	pali := true;
	for i := 0; i < len(rstr) / 2; i++ {
	    if pali = rstr[i] == rstr[len(rstr) - i - 1]; !pali {
		break
	    }
	}
	fmt.Printf( "%v : %s\n", pali, ustr)
    }
}

func main() {
    if len(os.Args) > 1 {
	file, err := os.Open(os.Args[1])
	if err != nil {
	    log.Fatal(err)
	}
	defer file.Close()
	test(bufio.NewScanner(file))
    } else {
	test(bufio.NewScanner(os.Stdin))
    }
}
