package main
import (
        "fmt"
        "bufio"
        "log"
        "os"
)

func test(scanner *bufio.Scanner) {
    for scanner.Scan() {
	ustr := scanner.Text() // введенная строка
	rstr := []rune(ustr)
	pali := true;
	for i := 0; i < len(rstr) / 2; i++ {
	    pali = (rstr[i] == rstr[len(rstr) - i - 1])
	    if !pali {
		break
	    }
	}
	fmt.Printf( "%v : %s\n", pali, ustr)
    }
}

func main() {
    if len(os.Args) > 1 {
	file, err := os.Open(os.Args[1])
	if err != nil {
	    log.Fatal(err)
	}
	defer file.Close()
	test(bufio.NewScanner(file))
    } else {
	test(bufio.NewScanner(os.Stdin))
    }
}
