package main
import (
	"fmt"
	"context"
	"time"
	"golang.org/x/sync/errgroup"
)

func main() {
	ctx, _ := context.WithCancel(context.Background())
	gr, _ := errgroup.WithContext(ctx)
	for i := 0; i < 4; i++ {
		i := i
		gr.Go( func() error {
			t0 := time.Now()
			defer func() {
				fmt.Printf("%d : длительность %v\n", 
							  i, time.Now().Sub(t0))	
			}()

			time.Sleep(300 * time.Millisecond)				
			return nil
		})
	}
	_ = gr.Wait() // Wait for all routines
}
