package main

import "fmt"

type Point struct {
	x, y int
}

func (p Point) Add(q Point) Point {
	return Point{p.x + q.x, p.y + q.y}
}

func main() {
	p := Point{1, 2}
	q := Point{3, 4}
	r := p.Add(p).Add(q).Add(p)
	fmt.Println(r.x, r.y) // 6 10
}
