package main

import (
    "fmt"
    "errors"
    "golang.org/x/sync/errgroup"
)

//func output(num int) (int, error) {
func output(num int) (int, bool, error) {
    if num < 0 {
	return num, false, errors.New("square root error!")
    }
    return num, true, nil
}

func main() {
    group := new(errgroup.Group)
    nums := []int{-2, -1, 0, 1, 2}
    for _, num := range nums {
	num := num
	group.Go(func() error {
	    num, res, err := output(num)
	    fmt.Printf("%d : %v\n", num, res)
	    return err
	})
    }
    if err := group.Wait(); err != nil {
	fmt.Println("Get errors: ", err)
    } else {
	fmt.Println("Get all num successfully!")
    }
}

