package main

import "net"
import "fmt"
import "bufio"

func main() {
	ln, _ := net.Listen("tcp", ":51501") // Устанавливаем прослушивание порта
	for {                                // Цикл прослушивания
		fmt.Println("waiting on port 51501")
		conn, _ := ln.Accept() // Открываем серверный порт
		go func(cn net.Conn) {
			defer func() { cn.Close() }()
			for { // Запускаем цикл подключений
				// Будем прослушивать все сообщения разделенные \n
				message, err := bufio.NewReader(cn).ReadString('\n')
				if err != nil { // Клиент разорвал коннект
					return
				}
				cn.Write([]byte(message)) // Отправить обратно клиенту
			}
		}(conn)
	}
}
