package main

import (
	"bufio"
	"fmt"
	"os"
	"regexp"
)

func main() {
	re, _ := regexp.Compile(`\d+`)
	scanner := bufio.NewScanner(os.Stdin)
	for scanner.Scan() {
		s := scanner.Text() //  A123  AA455 AAA2 A89
		r := re.FindAllString(s, -1)
		fmt.Println(r)      // [123 455 2 89]
		a := re.FindAllStringIndex(s, -1)
		fmt.Println(a)      // [[1 4] [8 11] [15 16] [18 20]]
		m := make(map[int]string)
		for _, e := range a {
			m[int(e[0])] = s[e[0]:e[1]]
		}
		fmt.Println(m)      // [1:123 8:455 15:2 18:89]
	}
}
