package main

import (
	"bufio"
	"fmt"
	"os"
	"strings"
	"unicode"
)

func main() {
	scanner := bufio.NewScanner(os.Stdin)
	for scanner.Scan() {
		инкремент := func(r rune) rune {
			if unicode.IsNumber(r) {
				return '0' + (r-'0'+1)%10
			} else {
				return r
			}
		}
		fmt.Println(strings.Map(инкремент, scanner.Text()))
	}
}
