package main

import "fmt"

func main() {
	s := "🔥요£µЩ"
	r := []rune(s)
	fmt.Printf("%x : байт %d символов %d\n", s, len(s), len(r))
	fmt.Printf("%#v\n", []byte(s)) 
	for p, c := range s {
		fmt.Printf("%d[%#U] ", p, c)
	}
	println()

	for i := 0; i < len(r); i++ {
		fmt.Printf("%x ", r[i])
	}
	println()

	//     f0  9f  94  a5  ec  9a  94  c2  a3  c2  b5  d0  a9
	s = "\xf0\x9f\x94\xa5\xec\x9a\x94\xc2\xa3\xc2\xb5\xd0\xa9"
	fmt.Printf("%s\n", s)
	s = `\xf0\x9f\x94\xa5\xec\x9a\x94\xc2\xa3\xc2\xb5\xd0\xa9`
	fmt.Printf("%s\n", s)
	s = string([]rune{0x1f525, 0xc694, 0xA3, 0xB5, 0x429})
	fmt.Printf("%s\n", s)
	s = string([]rune{'🔥', '요', '£', 'µ', 'Щ'})
	fmt.Printf("%s\n", s)
}
