package main

import "fmt"

func main() {
	английский := "Hello"
	русский := "Привет"
	японский := "⌘こんにちは"
	show := func(s string) {
		fmt.Print(s, " : байт ", len(s),
			" символов ", len([]rune(s)), " : ")
		for i := 0; i < len(s); i++ {
			fmt.Printf(" %02X", s[i])
		}
		fmt.Print(" [")
		for p, c := range s {
			fmt.Printf(" %d:%q", p, c)
		}
		println("]")
	}
	show(английский)
	show(русский)
	show(японский)
}
