package main

import "fmt"
import "bufio"
import "log"
import "os"

func main() {
	scanner := bufio.NewScanner(os.Stdin)
	for scanner.Scan() {
		s := scanner.Text()
		fmt.Println(s)
		r := []rune(s)
		fmt.Println(r)        // hex int32
		fmt.Printf("%U\n", r) // UNICODE
		fmt.Println(string(r))
		fmt.Println("----------------------------")
	}
	if err := scanner.Err(); err != nil {
		log.Println(err)
	}
}
