package main

import "fmt"

func show(p *[]int) {
	print("len=", len(*p), " cap=", cap(*p), " : ")
	for _, y := range *p {
		print(y, " ")
	}
	print("\n")
}

var a1 []int

func main() {
	a2 := []int{1, 2, 3, 4, 5}
	a3 := []int{2: 9, 4: 8, 7: 7, 9: 1}

	for i, y := range a3 {
		fmt.Printf("%02d:%d ", i, y)
	}
	println()

	a := a1
	show(&a)
	a = a2
	show(&a)
	a = a3
	show(&a)
}
